curl --request POST \
--url https://api.tikway.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-5.6-terra",
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "Write a short bedtime story about a unicorn."
}
]
}
]
}
'{
"choices": [
{
"finish_reason": "stop",
"index": 0,
"message": {
"content": "Hello! Nice to meet you. Is there anything I can do to help you?",
"role": "assistant"
}
}
],
"created": 1788668575,
"id": "resp_0adb07c2e5dd99b5016a9cea9f1ea887d09cf2363ffb74d438",
"model": "gpt-5.6-sol",
"object": "chat.completion",
"usage": {
"completion_tokens": 20,
"prompt_tokens": 8,
"total_tokens": 28
}
}Chat Completions
curl --request POST \
--url https://api.tikway.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-5.6-terra",
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "Write a short bedtime story about a unicorn."
}
]
}
]
}
'{
"choices": [
{
"finish_reason": "stop",
"index": 0,
"message": {
"content": "Hello! Nice to meet you. Is there anything I can do to help you?",
"role": "assistant"
}
}
],
"created": 1788668575,
"id": "resp_0adb07c2e5dd99b5016a9cea9f1ea887d09cf2363ffb74d438",
"model": "gpt-5.6-sol",
"object": "chat.completion",
"usage": {
"completion_tokens": 20,
"prompt_tokens": 8,
"total_tokens": 28
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The model ID used to generate the reply, such as gpt-5.6-sol or o3.
List of conversation messages as of current date.
1Hide child attributes
Hide child attributes
Message author role. Newer inference models recommend using developer instead of system.
developer, system, user, assistant, tool, function Optional participant name used to distinguish different participants under the same role.
Message content. It can be a string, or an array composed of text, pictures, audio, and file content blocks. The assistant tool call message can be null.
When role is tool, the tool call ID to which this message responds.
List of tool calls generated by the model when role is assistant.
Hide child attributes
Hide child attributes
Tool call ID.
Tool type.
function, custom Assistant's rejection message.
Sampling temperature. Higher values make the output more random; usually adjusted with top_p alternatively.
0 <= x <= 2Kernel sampling threshold; usually adjusted alternatively with temperature.
0 <= x <= 1The number of candidate responses generated for each input.
x >= 1Whether to return incremental results in SSE streaming.
The maximum number of generated tokens, including visible output and inference tokens.
x >= 1Deprecated, use max_completion_tokens instead.
x >= 1Frequency penalty. Positive values reduce duplicate expressions.
-2 <= x <= 2There are penalties. This is a great time to encourage models to introduce new content.
-2 <= x <= 2Whether to return the log probability of the output token.
The number of high-probability candidate tokens returned for each output position; logprobs needs to be enabled at the same time.
0 <= x <= 20Stop sequence, some new models do not support it.
A list of callable tools provided to the model.
Function tools.
- Option 1
- Option 2
Hide child attributes
Hide child attributes
function Controls whether the model calls the tool, automatically selects the tool, or forces the specified tool to be called.
none, auto, required Whether the model is allowed to call multiple tools in parallel.
Inference strength settings for trade-offs between speed, cost, and inference depth.
none, minimal, low, medium, high, xhigh, max Output verbosity.
low, medium, high A random seed used to try to make the output reproducible.
The requested service level.
auto, default, flex, scale, priority, fast Whether to store the output of this request.
Specify the output type.
text, audio Stable key for hint word cache.
The length of time the prompt word cache is retained.
in_memory, 24h A stable end-user identifier used to assist in detecting abuse and should not be directly personally identifiable information.
Old version of end user identification, it is recommended to use safety_identifier.
Web search tool configuration.
Hide child attributes
Hide child attributes
Search context size.
Approximate location of the user, used to improve localized search relevancy.
Hide child attributes
Hide child attributes
approximate Country code.
City name.
Region or province/state name.
Time zone identifier.
Deprecated, use tool_choice.
none, auto Configuration to perform auditing on request input and build output.
Hide child attributes
Hide child attributes
Audit model ID, such as omni-moderation-latest.
Input and output audit policies.
Response
Chat Completions non-streaming responses (chat.completion). "Generate via JSON etc. → JSON Schema" direct import for Apifox.
The unique ID of this chat completion.
Object type, fixed to chat.completion.
chat.completion Unix timestamp of the time the response was created, in seconds.
The actual model ID used to generate the reply.
A list of candidate responses generated by the model.
Hide child attributes
Hide child attributes
The sequence number of the candidate reply, starting from 0.
The reason for the end of the generation: stop is the natural end, length is the length limit reached, tool_calls is the tool call, and content_filter is content filtering.
stop, length, tool_calls, content_filter, function_call, null Hide child attributes
Hide child attributes
Message author role, fixed to assistant.
assistant Text content generated by the model; may be null when the tool is called.
Description generated when the model rejects a request.
Reply to comments such as URL references.
Hide child attributes
Hide child attributes
Annotation type, such as url_citation.
Hide child attributes
Hide child attributes
The starting character index of the quoted text.
The ending character index of the quoted text.
Quote the page title.
The URL of the referring page.
Audio output related data.
Hide child attributes
Hide child attributes
The unique ID of the audio response.
Base64 encoded audio data.
Unix timestamp of the audio data expiration time, in seconds.
Text transcription of audio content.
A list of tools called by the model request.
Hide child attributes
Hide child attributes
The unique ID of the tool call.
Tool type.
function Outputs log-probability information for tokens; only returned if logprobs is enabled on request.
Hide child attributes
Hide child attributes
Output the probability information of each token in the content.
Hide child attributes
Hide child attributes
Tome text.
The UTF-8 byte sequence corresponding to the token.
The logarithmic probability of this token.
Word usage statistics for this request.
Hide child attributes
Hide child attributes
Enter the number of tokens used in the prompt word.
The number of tokens used by the model to generate content.
The total number of tokens requested.
Enter the word element details.
Hide child attributes
Hide child attributes
The number of tokens in the input that hit the cache.
The number of audio tokens in the input.
Number of image tokens in the input.
The number of text tokens in the input.
The number of original tokens written to the prompt word cache.
Generate token details.
Hide child attributes
Hide child attributes
The number of tokens used by the model for inference.
The number of audio tokens generated by the model.
The number of text tokens generated by the model.
The number of predicted tokens that actually appear in the generated results.
The number of predicted tokens that did not appear in the generated results.
The actual service level used to handle this request.
The backend configuration fingerprint for the model to run on.

